VOP_ADVLOCK(9)

NAME
VOP_ADVLOCK - advisory record locking

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
#include <sys/fcntl.h>
#include <sys/lockf.h>
int
VOP_ADVLOCK(struct vnode *vp, caddr_t id, int op, struct flock *fl, int flags);

DESCRIPTION

The arguments are:

vp  the vnode being manipulated

id  the process changing the lock

op  the operation to perform

fl  description of the lock

flags
    ???

This entry point manipulates advisory record locks on the file. Most filesystems delegate the work for this call to lf_advlock(9).

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
vnode(9), flock(2), fcntl(2)

AUTHORS
This man page was written by Doug Rabson.